.block-cta-presupuesto .content-block {
    background: linear-gradient(90deg, #23C9AB 0%, #0B4947 100%);
    padding: 3em 1em;
    border-radius: 1em;
}

.block-cta-presupuesto {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.block-cta-presupuesto-title > * {
    font-size: calc(1.5rem + 2vw);
    font-weight: 400;
    line-height: 1.2;
    text-align: center;
    color: #fff;
    padding-bottom: 1rem;
}

.block-cta-presupuesto-subtitle {
    font-size: calc(0.7rem + 1vw);
    font-weight: bold;
    line-height: 1.4;
    text-align: center;
    color: #fff;
    padding: 1em 0;
}

.cta-presupuesto-descr {
    font-size: 1.25rem;
    font-weight: 600;
    line-height: 1.5;
    text-align: center;
    color: var(--color-green-secondary);
    transition: all .3s ease-in-out;
}

.single-card:hover .cta-presupuesto-descr {
    color: var(--color-green-primary);
}

.block-cta-presupuesto-icon {
    position: relative;
    height: 50px;
    display: flex;
    align-items: center;
}

.cta-presupuesto-cards {
    padding-top: 3.125rem;
    padding-bottom: 3.5rem;
    width: 92%;
    margin: 0 auto;
}

a.cta-presupuesto-url {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
}

.block-cta-presupuesto .single-card {
    position: relative;
    border-radius: 20px;
    text-align: center;
    display: flex;
    flex: 0 1 24%;
    padding: 1rem 1rem .5rem;
    border: 1px solid #fff;
    background-color: transparent;
    justify-content: center;
    flex-direction: column;
    z-index: 0;
}

.block-cta-presupuesto .single-card:hover {
    background-color: #ffffff;
}

.block-cta-presupuesto-icon-img {
    position: absolute;
    right: 0;
    left: 0;
}

.block-cta-presupuesto-icon img.icon-hover {
    opacity: 0;
}

.block-cta-presupuesto .cta-presupuesto-descr {
    color: #fff;
    padding-top: 1rem;
    white-space: pre;
    min-height: 80px;
}

.block-cta-presupuesto .single-card:hover .block-cta-presupuesto-icon img {
    opacity: 0;
    transition: all 0.3s cubic-bezier(.17, .67, .83, .67);
}

.block-cta-presupuesto .single-card:hover .block-cta-presupuesto-icon img.icon-hover {
    opacity: 1;
}

@media (max-width: 991.98px) {
    .cta-presupuesto-cards {
        width: 100%;
        padding-top: 1rem;
        padding-bottom: 0.5rem;
    }

    .block-cta-presupuesto .block-cta-presupuesto-title .description {
        font-size: calc(1.5rem + 1vw);
    }

    .block-cta-presupuesto-subtitle {
        font-size: calc(0.7rem + 1vw);
        padding-bottom: 0.5rem;
    }

    .block-cta-presupuesto .single-card {
        flex: unset;
        width: 100%;
        margin: 0 auto;
        margin-top: 0.5rem;
        margin-bottom: 0.5rem;
        display: flex;
        justify-content: space-around;
        align-items: center;
        flex-direction: row;
    }

    .block-cta-presupuesto-icon {
        height: 50px;
        width: 25%;
    }

    .block-cta-presupuesto .cta-presupuesto-descr {
        color: #fff;
        padding-top: 0;
        width: 60%;
        text-align: left;
        min-height: unset;
    }

    .block-cta-presupuesto .content-block {
        background: linear-gradient(180deg, #23C9AB 0%, #0B4947 100%);
    }

    .block-cta-presupuesto-icon-img img {
        max-height: 40px;
        max-width: 40px;
    }

    .block-cta-presupuesto .cta-presupuesto-descr {
        white-space: unset;
        font-size: 16px;
        width: 75%;
    }

    .block-cta-presupuesto .single-card {
        padding: .5rem 1rem .5rem;
    }
}
